Get location history for an Asset

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.reelables.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Reelables API MCP server": {
    "url": "https://docs.reelables.com/mcp"
  }
}

Close
GET /assets/{assetId}/locations

Headers

  • request-id string

    Unique identifier for the API request. Example: f7ecf495-ca1c-4468-a6c2-6ee3f723fa00

Path parameters

  • assetId string Required

    The identifier of the Asset

Query parameters

  • limit string

    Number of items to return. Default: 10. Maximum: 10000

  • nextToken string

    Pagination token to get next page of items

  • summaryLocations string

    Whether to return summary (merged) locations or raw locations. Default: false

Responses

  • 200 application/json

    200 response

    Hide response attributes Show response attributes object
    • nextToken string

      Pagination token

      Maximum length is 5000. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

    • items array[object] Required
      Hide items attributes Show items attributes object
      • lastSeenTimestamp string(date-time)

        Timestamp last seen at the location. Example: '2019-07-21T17:32:28Z'

        Maximum length is 20. Format should match the following pattern: ^[0-9TZ:-]*$.

      • coordinate object Required

        Additional properties are NOT allowed.

        Hide coordinate attributes Show coordinate attributes object
        • latitude number(float) Required

          Latitude value of the coordinate. Example: 51.123

          Minimum value is -90, maximum value is 90.

        • accuracy integer(int32)

          The horrizontal accuracy in metres

          Minimum value is 0, maximum value is 1000000.

        • longitude number(float) Required

          Longitude value of the coordinate. Example: -0.123

          Minimum value is -180, maximum value is 180.

      • address object

        Additional properties are NOT allowed.

        Hide address attributes Show address attributes object
        • country string

          The country name. Example 'United Kingdom'

          Maximum length is 255.

        • road string

          The road name. Example 'Downing Street'

          Maximum length is 255.

        • city string

          The city name. Example 'London'

          Maximum length is 255.

        • district string

          The district name. Example 'Westminster'

          Maximum length is 255.

        • postalCode string

          The postal code. Example 'SW1A 2AA'

          Maximum length is 10.

        • county string

          The county name. Example 'Greater London'

          Maximum length is 255.

        • state string

          The state name. Example 'England'

          Maximum length is 255.

      • error integer(int32)

        The horrizontal error in metres [Deprecated - use coordinate.accuracy instead]

        Minimum value is 0, maximum value is 1000000.

      • timestamp string(date-time) Required

        Timestamp of the location. Example: '2019-07-21T17:32:28Z'

        Maximum length is 20. Format should match the following pattern: ^[0-9TZ:-]*$.

  • 401 application/json

    Unauthorized

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object
      • code string

        An application-specific error code, expressed as a string value

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • id string

        A unique identifier for this particular occurrence of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • detail string

        A human-readable explanation specific to this occurrence of the problem

        Maximum length is 500. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • title string

        A short, human-readable summary of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • status string

        The HTTP status code applicable to this problem, expressed as a string value

        Maximum length is 3. Format should match the following pattern: ^[0-9]*$.

  • 403 application/json

    Forbidden

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object
      • code string

        An application-specific error code, expressed as a string value

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • id string

        A unique identifier for this particular occurrence of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • detail string

        A human-readable explanation specific to this occurrence of the problem

        Maximum length is 500. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • title string

        A short, human-readable summary of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • status string

        The HTTP status code applicable to this problem, expressed as a string value

        Maximum length is 3. Format should match the following pattern: ^[0-9]*$.

  • 404 application/json

    Asset not found

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object
      • code string

        An application-specific error code, expressed as a string value

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • id string

        A unique identifier for this particular occurrence of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • detail string

        A human-readable explanation specific to this occurrence of the problem

        Maximum length is 500. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • title string

        A short, human-readable summary of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • status string

        The HTTP status code applicable to this problem, expressed as a string value

        Maximum length is 3. Format should match the following pattern: ^[0-9]*$.

  • 429 application/json

    Too Many Requests

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object
      • code string

        An application-specific error code, expressed as a string value

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • id string

        A unique identifier for this particular occurrence of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • detail string

        A human-readable explanation specific to this occurrence of the problem

        Maximum length is 500. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • title string

        A short, human-readable summary of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • status string

        The HTTP status code applicable to this problem, expressed as a string value

        Maximum length is 3. Format should match the following pattern: ^[0-9]*$.

GET /assets/{assetId}/locations
curl \
 --request GET 'https://api.reelables.com/v1/assets/{assetId}/locations' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "request-id: string"
Response examples (200)
{
  "nextToken": "string",
  "items": [
    {
      "lastSeenTimestamp": "2026-05-04T09:42:00Z",
      "coordinate": {
        "latitude": 42.0,
        "accuracy": 42,
        "longitude": 42.0
      },
      "address": {
        "country": "string",
        "road": "string",
        "city": "string",
        "district": "string",
        "postalCode": "string",
        "county": "string",
        "state": "string"
      },
      "error": 42,
      "timestamp": "2026-05-04T09:42:00Z"
    }
  ]
}
Response examples (401)
{
  "errors": [
    {
      "code": "string",
      "id": "string",
      "detail": "string",
      "title": "string",
      "status": "string"
    }
  ]
}
Response examples (403)
{
  "errors": [
    {
      "code": "string",
      "id": "string",
      "detail": "string",
      "title": "string",
      "status": "string"
    }
  ]
}
Response examples (404)
{
  "errors": [
    {
      "code": "string",
      "id": "string",
      "detail": "string",
      "title": "string",
      "status": "string"
    }
  ]
}
Response examples (429)
{
  "errors": [
    {
      "code": "string",
      "id": "string",
      "detail": "string",
      "title": "string",
      "status": "string"
    }
  ]
}